#include <Player.h>

SnakeNode::SnakeNode(sf::Vector2u gridPos_in, const Color& color_in)
	: gridPos(gridPos_in)
	, color(color_in)
{ }

sf::Vector2f SnakeNode::windowPos(const sf::Vector2f gameBoundsOrigin, float size) const
{
	return {gameBoundsOrigin.x + (static_cast<float>(gridPos.x) * size), gameBoundsOrigin.y + (static_cast<float>(gridPos.y) * size)};
}

SnakeNode& Player::head()
{
	return body[0];
}
